Consultar documento de cobro
curl --request GET \
--url https://api.cobrix.co/api/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cobrix.co/api/v1/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.cobrix.co/api/v1/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"amount": 123,
"provider": "<string>",
"provider_id": "<string>",
"reference": "<string>",
"status": "CREATED",
"remarks": "<string>",
"metadata": {},
"due_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_test": true,
"partial_payment_config": null,
"payment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"currency": "<string>",
"amount": 123,
"amount_label": "<string>",
"title": "<string>",
"description": "<string>",
"phone": "<string>",
"expiration_at": "2023-11-07T05:31:56Z",
"due_date": "2023-12-25",
"document_link": "<string>",
"external_id": "<string>",
"allows": {
"accounts": true,
"cards": true,
"card_extra": true,
"realtime": true
},
"status": "<string>",
"is_test": true,
"created_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"payment_link": "<string>",
"redirect_url": "<string>",
"provider_id": "<string>",
"metadata": null,
"customer": null,
"method": null,
"splits": [
{}
],
"company": null,
"commission": null
}
}{
"message": "Unauthenticated.",
"code": 10002,
"code_name": "authentication_error"
}{
"message": "La llave API no tiene permiso para realizar esta operación.",
"code": 10005,
"code_name": "forbidden"
}{
"message": "El documento no existe o pertenece a otra compañía.",
"code": 10004,
"code_name": "not_found"
}{
"message": "Demasiadas solicitudes. Espera el tiempo indicado en Retry-After e intenta nuevamente.",
"code": 10029,
"code_name": "rate_limit_error"
}API pública de documentos de cobro
Consultar documento de cobro
Devuelve el documento completo y la revisión vigente del cobro. Requiere public_invoices:read.
GET
/
v1
/
invoices
/
{invoiceId}
Consultar documento de cobro
curl --request GET \
--url https://api.cobrix.co/api/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cobrix.co/api/v1/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.cobrix.co/api/v1/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"amount": 123,
"provider": "<string>",
"provider_id": "<string>",
"reference": "<string>",
"status": "CREATED",
"remarks": "<string>",
"metadata": {},
"due_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_test": true,
"partial_payment_config": null,
"payment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"currency": "<string>",
"amount": 123,
"amount_label": "<string>",
"title": "<string>",
"description": "<string>",
"phone": "<string>",
"expiration_at": "2023-11-07T05:31:56Z",
"due_date": "2023-12-25",
"document_link": "<string>",
"external_id": "<string>",
"allows": {
"accounts": true,
"cards": true,
"card_extra": true,
"realtime": true
},
"status": "<string>",
"is_test": true,
"created_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"payment_link": "<string>",
"redirect_url": "<string>",
"provider_id": "<string>",
"metadata": null,
"customer": null,
"method": null,
"splits": [
{}
],
"company": null,
"commission": null
}
}{
"message": "Unauthenticated.",
"code": 10002,
"code_name": "authentication_error"
}{
"message": "La llave API no tiene permiso para realizar esta operación.",
"code": 10005,
"code_name": "forbidden"
}{
"message": "El documento no existe o pertenece a otra compañía.",
"code": 10004,
"code_name": "not_found"
}{
"message": "Demasiadas solicitudes. Espera el tiempo indicado en Retry-After e intenta nuevamente.",
"code": 10029,
"code_name": "rate_limit_error"
}Authorizations
Llave cbx_live con scope de documentos públicos.
Path Parameters
Response
Documento de cobro
Available options:
CREATED, PAID, CONCILIATED, PAID_FROM_PROVIDER, DELETE_FROM_PROVIDER, FAILED Siempre null; esta API exige pago completo.
Show child attributes
Show child attributes

